Failed to initialize nvidia driver please visit nvidia website

Failed to initialize nvidia driver please visit nvidia website

Салют товарищ, если ты повстречал при запуске игры ошибку под названием «Failed to initialize NVIDIA driver! Driver error at 0x00664339+00000000; NVAPI_ACCESS_DENIED». И перепробовал всё, что нашёл в интернете а точнее:

1) Запускать стим от имени администратора. (
2) Удалить два файла «d3d9.fx» и «dxgi.dll» которых ты даже и не нашёл в папке с игрой. (
3) Обновлял видио драйвер до последней версии. (
4) Скачивать демо, а после устанавливал обычную версию. (
5) Копался в меню панели NVIDIA. (

И если ты потерпел очередную неудачу и всё ещё не смог запустить игру то попробуй ЭТО!

Подобная причина заставила меня всё испробовать а после и навела на мысль послать письмо в тех.поддержку NVIDIA и результат не заставил меня долго ждать. Тех. поддержке особая благодарность за скорость ответа а самое главное за совет.

Итак: Нам понадобится одна программа Display Driver Uninstaller (DDU)
вот ссылка: https://www.wagnardsoft.com/DDU/download/DDU%20v18.0.0.9.exe
Эта программка творит следующие, сносит весь действующий драйвер под ноль не оставляя от него не одного файла, вот и всё, дальше делаешь установку нового драйвера и КС ГО запускается как и раньше.

И в чём же причина такой ошибки! оказываться, что при обновление драйвера идёт наложение программ друг на друга и происходит сбой, чтобы его избежать нужно удалить (DDU) старый файл а после установить новый и проблем не должно быть.

Источник

Failed to initialize nvidia driver please visit nvidia website

Салют товарищ, если ты повстречал при запуске игры ошибку под названием «Failed to initialize NVIDIA driver! Driver error at 0x00664339+00000000; NVAPI_ACCESS_DENIED». И перепробовал всё, что нашёл в интернете а точнее:

1) Запускать стим от имени администратора. (
2) Удалить два файла «d3d9.fx» и «dxgi.dll» которых ты даже и не нашёл в папке с игрой. (
3) Обновлял видио драйвер до последней версии. (
4) Скачивать демо, а после устанавливал обычную версию. (
5) Копался в меню панели NVIDIA. (

И если ты потерпел очередную неудачу и всё ещё не смог запустить игру то попробуй ЭТО!

Подобная причина заставила меня всё испробовать а после и навела на мысль послать письмо в тех.поддержку NVIDIA и результат не заставил меня долго ждать. Тех. поддержке особая благодарность за скорость ответа а самое главное за совет.

Итак: Нам понадобится одна программа Display Driver Uninstaller (DDU)
вот ссылка: https://www.wagnardsoft.com/DDU/download/DDU%20v18.0.0.9.exe
Эта программка творит следующие, сносит весь действующий драйвер под ноль не оставляя от него не одного файла, вот и всё, дальше делаешь установку нового драйвера и КС ГО запускается как и раньше.

Читайте также:  Minecraft на видеокарте nvidia

И в чём же причина такой ошибки! оказываться, что при обновление драйвера идёт наложение программ друг на друга и происходит сбой, чтобы его избежать нужно удалить (DDU) старый файл а после установить новый и проблем не должно быть.

Источник

Failed to initialize nvidia driver please visit nvidia website

Failed to initialize NVIDIA driver!
Driver error at 0x20403F79-00000030: NVAPI_INVALID_USER_PRIVILEGE

Please visit NVidia website to get the most recent version of the graphics drivers and restore you Counter Strike: Global Offensive driver profile and global driver profile to Nvidia default.

A screenshot of a error. Try updating drivers

Failed to initialize NVIDIA driver!
Driver error at 0x20403F79-00000030: NVAPI_INVALID_USER_PRIVILEGE

Please visit NVidia website to get the most recent version of the graphics drivers and restore you Counter Strike: Global Offensive driver profile and global driver profile to Nvidia default.

Источник

Как заставить иксы работать под драйврами nvidia?

Уже давно стоит арч, ещё с установки поставил драйвера nouveau и всё вроде как работало. Недавно на свою голову решил попробовать играть под линуксом, но даже стим отказался работать, аргументируя это жалобами на OpenGL. Решил просто поставить другие видеодрайвера, но проприетарные nvidia как-то конфликтуют с иксами, я уже устал и несколько раз заплакал, пытаясь что-то решить. Я действительно не понимаю как это всё работает.

Карточка — GeForce GT220.

Ставил из репов pacman -S nvidia, pacman -S nvidia-340xx — иксы отказывались запускаться, не помню что в логах было. Скачал с сайта эти — http://www.nvidia.ru/download/driverResults.aspx/80690/ru, поставил, иксы жалуются на no screens found. Логи вот: http://pastebin.com/DV3satpU

вы только посмотрите на него — не только тряпка, но ещё самостоятельно не может справится с детской игрушкой ака арчем

я уже устал и несколько раз заплакал, пытаясь что-то решить.

О боже. Вытри глазки и поставь нормальный дистр.

Да читал, блджад. Иксы просто не воспринимают ни ручной, ни сгенерированный конфиг в /etc/xorg.conf.d

Тебе нужен пакет nvidia-340xx. Он (а точнее, одна из его зависимостей — nvidia-libgl) будет конфликтовать с mesa-libgl и заменять её, но так и надо.

Как понимать «не воспринимают»? Телепатов нет, приведи для начала лог иксов ( /var/log/Xorg.0.log ) сразу после неуспешной попытки их запуска.

(Ах да. На всякий случай. Не сюда, а на pastebin.com или аналог. Или поставь пакет ix и сделай ix .)

И да. «Скачивать с сайта» не стоит. Поставленные таким образом программы не отслеживаются пакетным менеджером, не участвуют в проверке конфликтов и зависимостей и так далее. Сейчас вот я даже не знаю, получится ли у тебя поставить драйвер из репозиториев.

Читайте также:  Видеокарта для celeron e3300

Так привел ведь.

Это с пустым xorg.conf.d. Откуда он черпает информацию о драйверах и мониторе, если там пусто? Под nouveau тоже было пусто, и всё работало.

Ах ты блин. Сорри. Матан разрушает мозг.

Так или иначе, у тебя там драйвер VESA используется. Как-то ты не так всё поставил.

Сделал Xorg -configure, и иксы запустились. Но, опять же, под nouveau. Проприетарные вообще можно как-то заставить работать? И как средствами lspci узнать, какой видеодрайвер используется?

Вот пример рабочего xorg.conf.d

nvidia-xconfig генерирует нерабочий конфиг.

Источник

NVIDIA NVML Несоответствие версии драйвера / библиотеки

Когда я запускаю nvidia-smi , я получаю следующее сообщение:

Час назад я получил то же сообщение и удалил свою библиотеку cuda, и я смог запустить nvidia-smi , получив следующий результат:

После этого я загрузил cuda-repo-ubuntu1604-8-0-local-ga2_8.0.61-1_amd64.deb с официальной страницы NVIDIA, а затем просто:

Теперь у меня установлена cuda, но я получаю упомянутую ошибку несоответствия.

Некоторая потенциально полезная информация:

Запуск cat /proc/driver/nvidia/version я получаю:

Я использую Ubuntu 16.04.2 LTS.

Релиз ядра: 4.4.0-66-generic.

14 ответов

Сюрприз-сюрприз, перезагрузка решила проблему (я думал, что уже пробовал это).

Решение, упомянутое Робертом Кровеллой в комментариях, также может быть полезным для кого-то другого, поскольку оно очень похоже на то, что я сделал, чтобы решить проблему в первый раз.

Это также случилось со мной в Ubuntu 16.04 с использованием пакета nvidia-348 (последняя версия nvidia в Ubuntu 16.04).

Однако я мог бы решить эту проблему, установив nvidia-390 через Собственные драйверы графических процессоров PPA.

Таким образом, решение описанной проблемы в Ubuntu 16.04 заключается в следующем:

  • sudo add-apt-repository ppa:graphics-drivers/ppa
  • sudo apt-get update
  • sudo apt-get install nvidia-390

Примечание. Это руководство предполагает чистую установку Ubuntu. Если у вас установлены предыдущие драйверы, может потребоваться перезагрузка для перезагрузки всех модулей ядра.

Эти ответы не сработали для меня:

Удалите старый драйвер 418.67 и установите новый драйвер 430.26 (скачать NVIDIA-Linux-x86_64-430.26.run ):

Я столкнулся с этой проблемой после обычного обновления ядра на компьютере с CentOS. Поскольку все драйверы и библиотеки CUDA и nVidia были установлены через репозитории YUM, мне удалось решить проблемы, выполнив следующие действия:

Он убедился, что мое ядро и драйвер nVidia согласованы. Я считаю, что простая перезагрузка может привести к загрузке неправильной версии модуля ядра.

Для полноты я столкнулся с этим вопросом. В моем случае оказалось, что, поскольку я установил Clang в качестве компилятора по умолчанию (используя update-alternatives ), nvidia-driver-440 не удалось скомпилировать (проверьте /var/crash/ ), даже если apt не сделал ‘ не размещайте никаких предупреждений. Для меня решение было apt purge nvidia-* , установить cc для использования gcc , перезагрузить и переустановить nvidia-driver-440 .

Перезагрузка. Если проблема все еще существует:

Читайте также:  Day23amb6c0 rev c отключить видеокарту

Для цента / реля

Я должен перезапустить свои ядра и удалить все пакеты, которые я установил ранее (во время первой установки), пожалуйста, убедитесь, что удалили все пакеты, даже после удаления пакетов командой ниже

Пакеты типа «libtinfo6: i386» не удаляются

Я использую Ubuntu 20.04 и Nvidia-driver-440, для этого вам нужно удалить все пакеты, показанные ниже

Список всех пакетов, которые необходимо удалить:

Как показано на рисунке, убедитесь, что установленный вами пакет имеет правильный размер, равный 207 Мб для Nvidia-driver-440, если он меньше, это означает, что вы удалили не все пакеты.

Лучшие 2 ответа не могут решить мою проблему. Я нашел решение на официальном форуме Nvidia, решил мою проблему. Приведенная ниже информация об ошибке может быть вызвана установкой двух разных версий драйвера разными способами. Например, установите драйвер Nvidia с помощью apt и официального установщика.

Не удалось инициализировать NVML: несоответствие версии драйвера / библиотеки

Чтобы решить эту проблему, нужно выполнить только одну из следующих двух команд.

Я переустановил драйвер nvidia: запустите эти команды в режиме root :

systemctl isolate multi-user.target

modprobe -r nvidia-drm

Переустановите драйвер Nvidia: chmod +x NVIDIA-Linux-x86_64–410.57.run

systemctl start graphical.target

И, наконец, проверьте nvidia-smi

Была проблема тоже. (Я использую Ubuntu 18.04)

dpkg -l | grep -i nvidia

Затем sudo apt-get remove —purge nvidia-381 (и каждая дублированная версия, в моем случае у меня было 381, 384 и 387)

Затем sudo ubuntu-drivers devices перечислить, что доступно

И я выбираю sudo apt install nvidia-driver-430

После этого nvidia-smi выдал правильный вывод (перезагрузка не требуется). Но я полагаю, вы можете перезагрузиться, если сомневаетесь.

Я также последовал этой установки, чтобы переустановить + cudnn CUDA ,

Я получил ошибку failed to initialize NVML: Driver/Library version mismatch от моего nvidia-gpu-Temperature-Indicator. И nvidia-smi не удалось напечатать какую-либо информацию. Я пытался найти, были ли другие версии драйвера nvidia, установленные в моем Ubuntu. Но я только что нашел nvidia-driver-390. В итоге reboot помог мне решить проблему.

Я передал контейнер в образ докера. Затем я воссоздаю другой контейнер, используя этот образ докера, и проблема исчезла.

Так что у меня возникла эта проблема, ни одно из других средств не помогло. Сообщение об ошибке было непрозрачным, но проверка dmesg была ключевой:

Однако я полностью удалил версию 384 и удалил все оставшиеся драйверы ядра nvidia-384* . Но даже после перезагрузки я все равно получал это. Это означало, что ядро все еще было скомпилировано по ссылке 384, но только находило 410. Поэтому я перекомпилировал свое ядро:

И тогда это сработало.

После удаления 384 у меня осталось 384 файла в /var/lib/dkms/nvidia-XXX/XXX.YY/4.13.0-43-generic/x86_64/module /lib/modules/4.13.0-43-generic/ ядра / драйверы

Я рекомендую использовать команду locate (не установлена по умолчанию), а не выполнять поиск в файловой системе каждый раз.

Источник

Adblock
detector